#include <iostream>
#include <string>
#include <cstdio>
#include <algorithm>
using namespace std;
int main()
{
  int n, a[200003], zbir=0;
  float p[200003];
  double dobit=0;
  scanf("%d", &n);
  for(int i=0; i<n; i++)
  {
      scanf("%d%f", &a[i], &p[i]);
  }
  for(int i=0; i<n; i++)
  {
    for(int j=0; j<n; j++)
      {
          if(p[j]>=p[i])
          {
              zbir+=a[j];
              }
          }
    if((zbir*(p[i]/100))>dobit)
    {
        dobit=zbir*(p[i]/100);
        }
  }
  printf("%lf", dobit);
  return 0;
}